#!/usr/bin/env python
from __future__ import division
import sys
import string


filenames = sys.argv[1:]

for filename in filenames:

    print filename
    infile = open(filename,"r")

    filetext = infile.read()
    lines = filetext.splitlines()
    
    begin = filetext.find("+-",0)
    begin = filetext.find("| Space group",0)
    end = filetext.find(",",begin)
    
    
    sg_name = filetext[begin+len("| Space group"):end] #.split(" ")[3:]


    begin = filetext.find("space group number",0)
    end = filetext.find(",",begin)
    
    sg_num = filetext[begin:end].split(" ")[-1];
    
    begin =  filetext.find("Bravais translation",end)
    end = filetext.find("|",begin)
    
    print filetext[begin:end].split()
    
    begin = filetext.find("Translation vectors :",end)
    end = filetext.find("|",begin)    
    
    sg_transvects = filetext[begin:end]
    
    sg_transvects = "("+sg_transvects.split(":")[-1]+")"
    sg_transvects = eval(sg_transvects)

    print sg_name
    print sg_num
    #print sg_transvects
    #print eval(sg_transvects)



    begin = filetext.find("R(11)",0)
    end = filetext.find("|",begin)   
 
    begin = filetext.find("|",end+1)
    end = filetext.find("+",begin)

    sg_transforms = filetext[begin:end]
    
    outfile = open("new/"+string.zfill(sg_num,3),"w")
    
    outfile.write("SPACEGROUP\n")

    outfile.write(sg_num+"\n")

    outfile.write(sg_name.strip()+"\n")

    outfile.write(`len(sg_transvects)` + "\n" + `len(sg_transforms.splitlines())`+ "\n")

    for vect in sg_transvects:
        outfile.write(str(vect)[1:-1]+"\n")
        print vect
    for line in sg_transforms.splitlines():
        #print x
        values = line.split()
        print "Transform " + `len(values)`
        if len(values) < 14: print `values` +" : "+line
        for val in values:
        	if val.find("|") == 0 and len(val)>1:
        		val = val[1:]
        		print "value" + `val`
           	if val.find("|") < 0 :
           	    outfile.write(str(eval(val))+" ")
        outfile.write("\n")
    print sg_transforms
    outfile.close()
    infile.close()